tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Wentink, Marc" <m.went...@antoniusmesosgroep.nl>
Subject I got an error on import org.apache.xpath recompiling with Tomcat5 and JDK5
Date Fri, 24 Feb 2006 14:01:44 GMT
Dear Group, 

Which jars am I missing, and were can I find them when I got an error on import org.apache.xpath?

I am trying to move from jdk1.4 and Tomcat4, to jdk5 and Tomcat5

I have installed Tomcat Core version: apache-tomcat-5.5.15.zip

I have changed my CLASSPATH to: C:\Program Files\apache-tomcat-5.5.15\common\lib\servlet-api.jar;

My common lib contains:

C:\Program Files\apache-tomcat-5.5.15\common\lib>ls
commons-el.jar           jasper-runtime.jar       naming-factory.jar
jasper-compiler-jdt.jar  jsp-api.jar              naming-resources.jar
jasper-compiler.jar      naming-factory-dbcp.jar  servlet-api.jar


Recompiling my java source containing a servlet gives me the following error:

    [javac] E:\cvs\projecten\java\pdfgen\src\net\antonius\pdfgen\Rule.java:3: 
            package org.apache.xpath does not exist
    [javac] import org.apache.xpath.*;

I did not have the error with Tomcat4, JDK1.4 and a classpath including servlet.jar from Tomcat4.

Should I have installed another distribution of Tomcat5.5 ? One containing the jars I am missing?

Kind Regards, and my appriciation in advance,
Marc Wentink

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message